import request from '@/assets/js/utils/request'

// 手动保存或者更新项目相关信息
export function saveOrUpdateProject(data) {
  return request({
    url:
      '/bidprocurement/expertscloud-extract/tender/expertTenderProject/saveOrUpdateProject',
    method: 'post',
    data
  })
}
// 项目经理登录查询项目信息列表
export function queryAllTenderInfoByTenderManager(data) {
  return request({
    url:
      '/bidprocurement/expertscloud-extract/tender/expertTenderProject/queryAllTenderInfoByTenderManager',
    method: 'post',
    data
  })
}
// 根据项目id查询项目详情信息
export function queryProjectDetailById(data) {
  return request({
    url:
      '/bidprocurement/expertscloud-extract/tender/expertTenderProject/queryProjectDetailById?tenderId=' +
      data,
    method: 'post'
  })
}
// 根据项目id删除项目详情信息
export function deleteProjectDetailById(data) {
  return request({
    url:
      '/bidprocurement/expertscloud-extract/tender/expertTenderProject/deleteTBExpertTenderInfobyid',
    method: 'post',
    data
  })
}

// 项目经理提交、保存或者修改抽取申请相关信息
export function submitOrsaveExtractApplyByTenderManager(data) {
  return request({
    url:
      '/bidprocurement/bid-expert/extract/expertExtractApply/submitOrsaveExtractApplyByTenderManager',
    method: 'post',
    data
  })
}
